Page MenuHomePhabricator

in MobileFrontend, invoking the editor is incorrect and switching from VisualEditor to wikitext editor does nothing
Closed, ResolvedPublic1 Story Points

Description

As a logged in user with beta access to VisualEditor using MobileFrontend, edit a new page on beta labs, e.g. http://en.m.wikipedia.beta.wmflabs.org/wiki/Apsidufapodifuasdf or some such.

Click the pencil icon to edit the page. I think this should bring up VE, but brings up wikitext editor instead.

From the gear menu, click Edit to invoke VE

Again from the gear menu, click Edit source.

VE fails to disappear. Wikitext editor does not appear. No VE controls like Bold/Italic/Link etc. function at this point.

This is the failure at https://integration.wikimedia.org/ci/view/BrowserTests/view/-All/job/browsertests-MobileFrontend-en.m.wikipedia.beta.wmflabs.org-linux-firefox-sauce/455/testReport/(root)/VisualEditor%20Mobile/Switch_from_VisualEditor_to_source_editor/

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : wmf/1.25wmf13Fix naming issue to restore ability to switch between editors
mediawiki/extensions/MobileFrontend : masterFix naming issue to restore ability to switch between editors

Event Timeline

Cmcmahon raised the priority of this task from to High.
Cmcmahon updated the task description. (Show Details)
Cmcmahon added a subscriber: Cmcmahon.
Cmcmahon added a project: Browser-test-bug.
Cmcmahon set Security to None.

The following error is displayed:
Uncaught TypeError: boolean is not a functionload.php?debug=false&lang=en&modules=mobile.abusefilter|mobile.editor.common%2Coverlay&skin=minerva…:8 Overlay.extend.hideload.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cmwcore|mobile.editor.ve|oojs-ui&skin=m…:624 EditorOverlayBase.extend.hideVM367:16 Class.extend._hideOverlayVM367:17 Class.extend.replaceCurrentload.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cmwcore|mobile.editor.ve|oojs-ui&skin=m…:625 (anonymous function)load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141220T…:45 fireload.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141220T…:46 self.fireWithload.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141220T…:47 deferred.(anonymous function)load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141220T…:168 mw.loader.usingload.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cmwcore|mobile.editor.ve|oojs-ui&skin=m…:625 EditorOverlayBase.extend.switchToSourceEditorload.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cmwcore|mobile.editor.ve|oojs-ui&skin=m…:624 (anonymous function)load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141220T…:65 jQuery.event.dispatchload.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=20141220T…:60 elemData.handle

Change 182113 had a related patch set uploaded (by Jdlrobson):
Fix naming issue to restore ability to switch between editors

https://gerrit.wikimedia.org/r/182113

Patch-For-Review

Change 182113 merged by jenkins-bot:
Fix naming issue to restore ability to switch between editors

https://gerrit.wikimedia.org/r/182113

Jdlrobson closed this task as Resolved.Dec 30 2014, 11:00 PM

Verified in betalabs. test2 still have problems with switching between Edit and Edit source.

matmarex reopened this task as Open.Jan 5 2015, 4:29 PM
matmarex added a subscriber: matmarex.

This probably needs some swift backporting to wmf13?

Change 182943 had a related patch set uploaded (by Kaldari):
Fix naming issue to restore ability to switch between editors

https://gerrit.wikimedia.org/r/182943

Patch-For-Review

Change 182943 merged by Aude:
Fix naming issue to restore ability to switch between editors

https://gerrit.wikimedia.org/r/182943

matmarex closed this task as Resolved.Jan 6 2015, 2:06 AM

Thanks. VE on mobile is apparently still broken, tracked as T85897.

Jdforrester-WMF moved this task from To Triage to Q4 on the VisualEditor board.Jan 7 2015, 9:19 PM

Verified in en.wiki

Jdforrester-WMF edited a custom field.Feb 2 2015, 8:00 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 7 2018, 4:26 AM